VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form fpdf2tif 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VeryPDF"
   ClientHeight    =   2685
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4530
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2685
   ScaleWidth      =   4530
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "Convert PDF to single-page TIFF files"
      Height          =   735
      Left            =   600
      TabIndex        =   1
      Top             =   1320
      Width           =   3255
   End
   Begin MSComDlg.CommonDialog cdialog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton bconvert 
      Caption         =   "Convert PDF to multi-page TIFF file"
      Height          =   735
      Left            =   600
      TabIndex        =   0
      Top             =   240
      Width           =   3255
   End
End
Attribute VB_Name = "fpdf2tif"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function PDFToImageConverter Lib "pdf2image.dll" _
(ByVal szPDFFileName As String, ByVal szOutputName As String, _
ByVal szUserPassword As String, ByVal szOwnPassword As String, _
ByVal xresolution As Long, ByVal yresolution As Long, ByVal bitcount As Long, _
ByVal compression As Long, ByVal quality As Long, ByVal grayscale As Boolean, _
ByVal multipage As Boolean, ByVal firstPage As Long, ByVal lastPage As Long) As Long

Const COMPRESSION_NONE = 1              '/* dump mode */
Const COMPRESSION_CCITTRLE = 2          '/* CCITT modified Huffman RLE */
Const COMPRESSION_CCITTFAX3 = 3         '/* CCITT Group 3 fax encoding */
Const COMPRESSION_CCITTFAX4 = 4         '/* CCITT Group 4 fax encoding */
Const COMPRESSION_LZW = 5               '/* Lempel-Ziv  & Welch */
Const COMPRESSION_JPEG = 7              '/* %JPEG DCT compression */
Const COMPRESSION_PACKBITS = 32773          '/* Macintosh RLE */

Private Sub bconvert_Click()
    On Error GoTo cError
     
    Dim i As Integer
    Dim myFiles() As String
    Dim myPath As String
    
    ' only PDF Files
    cdialog.Filter = "PDF Files (*.PDF)|*.PDF"
    cdialog.Flags = cdlOFNAllowMultiselect + cdlOFNExplorer
    cdialog.CancelError = True
    ' if ok
    cdialog.ShowOpen
    
    myFiles = Split(cdialog.FileName, vbNullChar) 'the Filename returned is delimeted by a null character because we selected the cdlOFNLongNames flag
         
        Select Case UBound(myFiles)
            Case 0 'if only one was selected we are done
                    myPath = myFiles(0)
                    TIFFFile = Left(myPath, Len(myPath) - 4) + ".tif"
                    If Dir(TIFFFile) <> "" Then
                           Kill TIFFFile
                    End If
                    x = PDFToImageConverter(myPath, TIFFFile + "_g4.tif", "", "", 200, 200, 1, COMPRESSION_CCITTFAX4, 70, False, True, -1, -1)
                    MsgBox TIFFFile + "_g4.tif"
                    x = PDFToImageConverter(myPath, TIFFFile + "_color.tif", "", "", 200, 200, 24, COMPRESSION_JPEG, 70, False, True, -1, -1)
                    MsgBox TIFFFile + "_color.tif"
            Case Is > 0 'if more than one, we need to loop through it and append the root directory
                For i = 1 To UBound(myFiles)
                    myPath = myFiles(0) & IIf(Right(myFiles(0), 1) <> "\", "\", "") & myFiles(i)
                    TIFFFile = Left(myPath, Len(myPath) - 4) + ".tif"
                    If Dir(TIFFFile) <> "" Then
                           Kill TIFFFile
                    End If
                    x = PDFToImageConverter(myPath, TIFFFile + "_g4.tif", "", "", 200, 200, 1, COMPRESSION_CCITTFAX4, 70, False, True, -1, -1)
                    MsgBox TIFFFile + "_g4.tif"
                    x = PDFToImageConverter(myPath, TIFFFile + "_color.tif", "", "", 200, 200, 24, COMPRESSION_JPEG, 70, False, True, -1, -1)
                    MsgBox TIFFFile + "_color.tif"
                Next i
        End Select
                    
        MsgBox "finished!"
    
cError:
    Beep
    
End Sub

Private Sub Command1_Click()
    result = PDFToImageConverter("example1.pdf", "example1.tif", "", "", 300, 300, 8, COMPRESSION_PACKBITS, 70, True, True, -1, -1)
End Sub
